Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Hi, ALQOM supports the latest version of Oculus, which means you can play it with a CV1 or DK2. Legacy Oculus runtime versions (before CV1) are not supported.